#ifndef PollingADC_h
#define PollingADC_h

#include <avr/io.h>
//#include <avr/interrupt.h>
//#include <stdio.h>
//#include <stdarg.h>

#include "Arduino.h"

#ifdef __cplusplus
extern "C"{
#endif
/** 
 set the A/D reference voltage, see the Arduino AnalogRead() reference page for details.
 When a different reference is set this library automatically makes two A/D conversions 
 and discards the first and returns the second.
 */
void pollingAnalogReference(uint8_t mode);

/** starts a new A/D coversion but only if the last conversion has finished and
  isAnalogReadingAvailable() has been called and returned true.
  */
void triggerAnalogRead(uint8_t pin);

/**
 returns true when the A/D conversion has been triggered and has finished and a reading is available.
 It only returns true once after the A/D conversion completes.
 */
bool isAnalogReadingAvailable(void);

/** get the last A/D conversion result. This can be called more then once.
  The latest A/D conversion value is returned.
  */
int getAnalogReading(void);

#ifdef __cplusplus
} // extern "C"
#endif

#endif